Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.request
Class FindBusiness

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.request.Request
            |
            +--weblogic.uddi.client.structures.request.FindRequest
                  |
                  +--weblogic.uddi.client.structures.request.FindBusiness

public class FindBusiness
extends FindRequest

The find_business message is used to search for businesses entities using five different search critera. You can search by name, identifierBag, categoryBag, tModelBag, discoveryURLs.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Fields inherited from class weblogic.uddi.client.structures.request.FindRequest
`findQualifiers, maxRows`

Fields inherited from class weblogic.uddi.client.structures.request.Request
`generic, xmlns`

Constructor Summary
`FindBusiness()` Class Constructor

Method Summary
`CategoryBag` | `getCategoryBag()` Gets the value of categoryBag
`DiscoveryURLs` | `getDiscoveryURLs()` Gets the value of discoveryURLs
`IdentifierBag` | `getIdentifierBag()` Gets the value of identifierBag
`Name` | `getName()` Gets the value of name
`TModelBag` | `getTModelBag()` Gets the value of tModelBag
`void` | `setCategoryBag(CategoryBag value)` Sets the value of categoryBag
`void` | `setDiscoveryURLs(DiscoveryURLs value)` Sets the value of discoveryURLs
`void` | `setIdentifierBag(IdentifierBag value)` Sets the value of identifierBag
`void` | `setName(Name value)` Sets the value of name
`void` | `setTModelBag(TModelBag value)` Sets the value of tModelBag

Methods inherited from class weblogic.uddi.client.structures.request.FindRequest
`getFindQualifiers, getMaxRows, setFindQualifiers, setMaxRows`

Methods inherited from class weblogic.uddi.client.structures.request.Request
`getGeneric, getXMLns, setGeneric, setXMLns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindBusiness

    public FindBusiness()

  Class Constructor

Method Detail

### setName

    public void setName(Name value)

  Sets the value of name

  Parameters:
    `value` - Value of name

### getName

    public Name getName()

  Gets the value of name

  Returns:
    value of name

### setIdentifierBag

    public void setIdentifierBag(IdentifierBag value)

  Sets the value of identifierBag

  Parameters:
    `value` - Value of identifierBag

### getIdentifierBag

    public IdentifierBag getIdentifierBag()

  Gets the value of identifierBag

  Returns:
    value of identifierBag

### setCategoryBag

    public void setCategoryBag(CategoryBag value)

  Sets the value of categoryBag

  Parameters:
    `value` - Value of categoryBag

### getCategoryBag

    public CategoryBag getCategoryBag()

  Gets the value of categoryBag

  Returns:
    value of categoryBag

### setTModelBag

    public void setTModelBag(TModelBag value)

  Sets the value of tModelBag

  Parameters:
    `value` - Value of tModelBag

### getTModelBag

    public TModelBag getTModelBag()

  Gets the value of tModelBag

  Returns:
    value of tModelBag

### setDiscoveryURLs

    public void setDiscoveryURLs(DiscoveryURLs value)

  Sets the value of discoveryURLs

  Parameters:
    `value` - Value of discoveryURLs

### getDiscoveryURLs

    public DiscoveryURLs getDiscoveryURLs()

  Gets the value of discoveryURLs

  Returns:
    value of discoveryURLs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference